/* MiscTreeBrowser
 *
 */

// IMPORTS

#import <appkit/ScrollView.h>


// CLASSES

@class MiscTreeBrowserMatrix, List;


// INTERFACE

@interface MiscTreeBrowser:ScrollView
{
  MiscTreeBrowserMatrix *cellMatrix; /*" underlying matrix of MiscTreeBrowserCells "*/
  List *rootNodes;
}

- init;
- initFrame:(const NXRect *)frameRect;
- free;

- cellMatrix;

- setFont:aFont;
- font;

// accessing nodes

- nodeAt:(int)index;
- selectedNode;

// accessing node information

- (BOOL)nodeIsOpen:aNode;

// adding and removing nodes

- removeNodeAt:(int)index;

- addNode:aNode toParent:newParent after:sibling;
- addChild:aNode;
- addSibling:aNode;

- removeNode:aNode;

// opening and closing nodes

- openNode:aNode;
- closeNode:aNode;

@end
